function init_clus = initial_clus( kernel_exp, cut_off )
%INPUT:
%kernel_exp: expressions of kernel genes/probes over the specified conditions, a 
%numeric matrix s.t. each row corresponds to the expression vector of a kernel gene
%
[r,~] = corrcoef(kernel_exp');

[ng,~] = size(kernel_exp);
gene_pool = [1:ng];
init_clus = {};
k = 1;
while ~isempty(gene_pool)
    gene = gene_pool(1);
    clus = gene;
    for i = 1:numel(gene_pool)
        if gene ~= gene_pool(i) && r(gene,gene_pool(i))>= cut_off
            clus = [clus, gene_pool(i)];
        end 
    end
    gene_pool = setdiff(gene_pool,clus);
    init_clus{k,1} = clus;
    k = k+1;
end


end

